Summary:       A library implementing the SSH2 protocol
Name:          libssh2
Version:       1.2.5
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
URL:           http://www.%{name}.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Sara Golemon <sarag@libssh2.org>
BuildRequires: pkgconfig openssl-devel zlib-devel

%description
Libssh2 is a library implementing the SSH2 protocol as defined by the
Internet Drafts SECSH-TRANS, SECSH-USERAUTH, SECSH-CONNECTION, SECSH-ARCH,
SECSH-FILEXFER, SECSH-DHGEX, SECSH-NUMBERS and SECSH-PUBLICKEY.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig openssl-devel zlib-devel

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q


%build
SSL_INC="`pkg-config --cflags openssl`"

%configure \
	CFLAGS="${RPM_OPT_FLAGS} ${SSL_INC}" \
	--enable-shared                      \
	--enable-static                      \
	--enable-debug                       \
	--with-openssl                       \
	--with-libz

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Install samples
pushd example
for FILE in *.c; do
  BASE=".libs/`basename ${FILE} .c`"

  %{__install} -m 0644 ${FILE} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample
  %{__install} -m 0755 ${BASE} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample
done

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS
%doc README RELEASE-NOTES TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_includedir}/libssh2_publickey.h
%{_includedir}/libssh2_sftp.h
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}
%{_mandir}/man3/*.3*


%changelog
* Wed Apr 14 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.5-1
- New version (1.2.5)

* Wed Feb 17 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.4-1
- New version (1.2.4)

* Wed Nov 25 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.2-1
- New version (1.2.2)

* Sat Oct 17 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.1-1
- New version (1.2.1)

* Wed Aug 19 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2-1
- New version (1.2)

* Mon Jul 06 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.1-1
- Initial build
